# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- f
- g
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

Loading...
Searching...
No Matches
Here is a list of all variables with links to the classes they belong to:

### - a -

- a : sf::Color
- advance : sf::Glyph
- alphaDstFactor : sf::BlendMode
- alphaEquation : sf::BlendMode
- alphaSrcFactor : sf::BlendMode
- alt : sf::Event::KeyPressed, sf::Event::KeyReleased
- antiAliasingLevel : sf::ContextSettings
- Any : sf::IpAddress
- AnyPort : sf::Socket
- attributeFlags : sf::ContextSettings
- axis : sf::Event::JoystickMoved

### - b -

- b : sf::Color
- bitsPerPixel : sf::VideoMode
- Black : sf::Color
- blendMode : sf::RenderStates
- Blue : sf::Color
- bounds : sf::Glyph
- Broadcast : sf::IpAddress
- button : sf::Event::JoystickButtonPressed, sf::Event::JoystickButtonReleased, sf::Event::MouseButtonPressed, sf::Event::MouseButtonReleased

### - c -

- channelCount : sf::SoundFileReader::Info
- channelMap : sf::SoundFileReader::Info
- code : sf::Event::KeyPressed, sf::Event::KeyReleased
- color : sf::Vertex
- colorDstFactor : sf::BlendMode
- colorEquation : sf::BlendMode
- colorSrcFactor : sf::BlendMode
- control : sf::Event::KeyPressed, sf::Event::KeyReleased
- coordinateType : sf::RenderStates
- CurrentTexture : sf::Shader
- Cyan : sf::Color

### - d -

- Default : sf::RenderStates
- delta : sf::Event::MouseMovedRaw, sf::Event::MouseWheelScrolled
- depthBits : sf::ContextSettings

### - f -

- family : sf::Font::Info
- finger : sf::Event::TouchBegan, sf::Event::TouchEnded, sf::Event::TouchMoved

### - g -

- g : sf::Color
- Green : sf::Color

### - i -

- Identity : sf::Transform
- innerAngle : sf::Listener::Cone, sf::SoundSource::Cone
- InvalidPos : sf::String
- is_steady : sf::SuspendAwareClock

### - j -

- joystickId : sf::Event::JoystickButtonPressed, sf::Event::JoystickButtonReleased, sf::Event::JoystickConnected, sf::Event::JoystickDisconnected, sf::Event::JoystickMoved

### - l -

- length : sf::Music::Span< T >
- LocalHost : sf::IpAddress
- lsbDelta : sf::Glyph

### - m -

- Magenta : sf::Color
- majorVersion : sf::ContextSettings
- MaxDatagramSize : sf::UdpSocket
- minorVersion : sf::ContextSettings

### - n -

- name : sf::Joystick::Identification

### - o -

- offset : sf::Music::Span< T >
- outerAngle : sf::Listener::Cone, sf::SoundSource::Cone
- outerGain : sf::Listener::Cone, sf::SoundSource::Cone

### - p -

- position : sf::Event::JoystickMoved, sf::Event::MouseButtonPressed, sf::Event::MouseButtonReleased, sf::Event::MouseMoved, sf::Event::MouseWheelScrolled, sf::Event::TouchBegan, sf::Event::TouchEnded, sf::Event::TouchMoved, sf::Rect< T >, sf::Vertex
- productId : sf::Joystick::Identification

### - r -

- r : sf::Color
- Red : sf::Color
- rsbDelta : sf::Glyph

### - s -

- sampleCount : sf::SoundFileReader::Info, sf::SoundStream::Chunk
- sampleRate : sf::SoundFileReader::Info
- samples : sf::SoundStream::Chunk
- scancode : sf::Event::KeyPressed, sf::Event::KeyReleased
- shader : sf::RenderStates
- shift : sf::Event::KeyPressed, sf::Event::KeyReleased
- size : sf::Event::Resized, sf::Rect< T >, sf::VideoMode
- sRgbCapable : sf::ContextSettings
- stencilBits : sf::ContextSettings
- stencilComparison : sf::StencilMode
- stencilMask : sf::StencilMode
- stencilMode : sf::RenderStates
- stencilOnly : sf::StencilMode
- stencilReference : sf::StencilMode
- stencilUpdateOperation : sf::StencilMode
- system : sf::Event::KeyPressed, sf::Event::KeyReleased

### - t -

- texCoords : sf::Vertex
- texture : sf::RenderStates
- textureRect : sf::Glyph
- transform : sf::RenderStates
- Transparent : sf::Color
- type : sf::Event::SensorChanged

### - u -

- unicode : sf::Event::TextEntered

### - v -

- value : sf::Event::SensorChanged, sf::StencilValue
- vendorId : sf::Joystick::Identification

### - w -

- wheel : sf::Event::MouseWheelScrolled
- White : sf::Color

### - x -

- x : sf::Vector2< T >, sf::Vector3< T >

### - y -

- y : sf::Vector2< T >, sf::Vector3< T >
- Yellow : sf::Color

### - z -

- z : sf::Vector3< T >
- Zero : sf::Angle, sf::Time